Subject: RE: bug#30285: dired-do-chmod vs. top line of dired

From: Drew Adams <[email-masked]>
Date: Mon, 5 Feb 2018 08:45:21 -0800 (PST)

> >> I would like all `dired-do...' commands behave the same under the
> >> 'X condition': * called from the top line ** no marked files.
> >
> > I've already said that it's not only about the top line.
> > It's about the ordinary Dired situation of not being on a
> > file line.  Plenty of Dired code already deals (simply)
> > with this "X condition".
>
> Sorry for the confussion:  I thought it was prety obvious
> that 'X condition' was akind of summary of what the patch
> was doing.

I don't think there was any confusion there.  It was clear
what you meant by "X condition".  You said it meant:

  "* called from the top line [and] ** no marked files"

My point was that Dired code already deals, in various
places, with the condition of not being on a file line
and no files being marked.  That condition is easy to
deal with.

And I think that's the only problem that this bug
report needs to fix - in the case of the commands,
like `dired-do-chmod', that don't yet deal with it.

> It would be as easy as to read my commit message to realize that; or
> take
> a quick look in the diff I provided (dont need even to test it).  Then,
> you would be talking about my work, not about what you guess it
> is my work.  For the future, please try to at least read my commit
> messages before make lot of observations about one patch that you didn't
> even read at all.  Thanks! :-)

I guess you are angry or frustrated.  Sorry if I caused that.

I had already said, a day or two earlier in reply to your
request that I provide an alternative patch, that I'm OK
with whatever you decide.  I offered suggestions about this
bug, and I made clear that it's up to you and I wouldn't be
getting into the implementation details:

   > May I ask you to provide an alternative  patch to compare
   > with mine? Then, people here might do further feedback
   > based on those 2 alternatives.

   Sorry; I don't have time to work on this.  I've already
   provided my suggestions - hope they help. Whatever you
   decide is fine by me.  Thx.

I consider this bug to be trivial, and I hope for a simple
fix that doesn't complicate Dired generally.  But whatever
fix you provide is OK by me.

Sorry if my suggestions made you feel like I was discounting
your efforts.  I too have already spent more time on this
bug than I can afford to.  Please fix this bug as you see
best.  And thanks for your work on Dired and other Emacs
features.